using System;
using System.Runtime.Serialization;

namespace Com.Bocom.OpenApi
{
    [Serializable]
    [DataContract]
    public class BocomDecryptResponse : BocomResponse
    {
        private string decryptKey;

        /**
         * @return the decrptKey
         */
        public string getDecryptKey()
        {
            return decryptKey;
        }

        /**
         * @param decrptKey
         *            the decrptKey to set
         */
        public void setDecryptKey(string decryptKey)
        {
            this.decryptKey = decryptKey;
        }

        public string decrypt(string data, string encryptType, string key, string charset)
        {
            return BocomEncrypt.SymmetricalDecrypt(data, encryptType, key, charset);
        }
    }
}